# This file was automatically created by FeynRules 2.3.14
# Mathematica version: 9.0 for Mac OS X x86 (64-bit) (November 20, 2012)
# Date: Tue 5 Sep 2017 03:35:21


from object_library import all_lorentz, Lorentz

from function_library import complexconjugate, re, im, csc, sec, acsc, asec, cot
try:
   import form_factors as ForFac 
except ImportError:
   pass


UUV6 = Lorentz(name = 'UUV6',
               spins = [ -1, -1, 3 ],
               structure = 'P(3,2) + P(3,3)')

SSS6 = Lorentz(name = 'SSS6',
               spins = [ 1, 1, 1 ],
               structure = '1')

FFS6 = Lorentz(name = 'FFS6',
               spins = [ 2, 2, 1 ],
               structure = 'ProjM(2,1) + ProjP(2,1)')

FFV26 = Lorentz(name = 'FFV26',
                spins = [ 2, 2, 3 ],
                structure = 'Gamma(3,2,1)')

FFV27 = Lorentz(name = 'FFV27',
                spins = [ 2, 2, 3 ],
                structure = 'Gamma(3,2,-1)*ProjM(-1,1)')

FFV28 = Lorentz(name = 'FFV28',
                spins = [ 2, 2, 3 ],
                structure = 'Gamma(3,2,-1)*ProjM(-1,1) - 2*Gamma(3,2,-1)*ProjP(-1,1)')

FFV29 = Lorentz(name = 'FFV29',
                spins = [ 2, 2, 3 ],
                structure = 'Gamma(3,2,-1)*ProjM(-1,1) + 2*Gamma(3,2,-1)*ProjP(-1,1)')

FFV30 = Lorentz(name = 'FFV30',
                spins = [ 2, 2, 3 ],
                structure = 'Gamma(3,2,-1)*ProjM(-1,1) + 4*Gamma(3,2,-1)*ProjP(-1,1)')

VVS6 = Lorentz(name = 'VVS6',
               spins = [ 3, 3, 1 ],
               structure = 'Metric(1,2)')

VVV6 = Lorentz(name = 'VVV6',
               spins = [ 3, 3, 3 ],
               structure = 'P(3,1)*Metric(1,2) - P(3,2)*Metric(1,2) - P(2,1)*Metric(1,3) + P(2,3)*Metric(1,3) + P(1,2)*Metric(2,3) - P(1,3)*Metric(2,3)')

SSSS6 = Lorentz(name = 'SSSS6',
                spins = [ 1, 1, 1, 1 ],
                structure = '1')

VVSS6 = Lorentz(name = 'VVSS6',
                spins = [ 3, 3, 1, 1 ],
                structure = 'Metric(1,2)')

VVVV43 = Lorentz(name = 'VVVV43',
                 spins = [ 3, 3, 3, 3 ],
                 structure = 'Metric(1,4)*Metric(2,3) - Metric(1,3)*Metric(2,4)')

VVVV44 = Lorentz(name = 'VVVV44',
                 spins = [ 3, 3, 3, 3 ],
                 structure = 'Metric(1,4)*Metric(2,3) + Metric(1,3)*Metric(2,4) - 2*Metric(1,2)*Metric(3,4)')

VVVV45 = Lorentz(name = 'VVVV45',
                 spins = [ 3, 3, 3, 3 ],
                 structure = 'Metric(1,4)*Metric(2,3) - Metric(1,2)*Metric(3,4)')

VVVV46 = Lorentz(name = 'VVVV46',
                 spins = [ 3, 3, 3, 3 ],
                 structure = 'Metric(1,3)*Metric(2,4) - Metric(1,2)*Metric(3,4)')

VVVV47 = Lorentz(name = 'VVVV47',
                 spins = [ 3, 3, 3, 3 ],
                 structure = 'Metric(1,4)*Metric(2,3) - (Metric(1,3)*Metric(2,4))/2. - (Metric(1,2)*Metric(3,4))/2.')

VVVV48 = Lorentz(name = 'VVVV48',
                 spins = [ 3, 3, 3, 3 ],
                 structure = 'P(1,3)*P(2,4)*P(3,2)*P(4,1) + P(1,2)*P(2,3)*P(3,4)*P(4,1) + P(1,4)*P(2,3)*P(3,1)*P(4,2) + P(1,3)*P(2,1)*P(3,4)*P(4,2) + P(1,2)*P(2,4)*P(3,1)*P(4,3) + P(1,4)*P(2,1)*P(3,2)*P(4,3) + P(-1,3)*P(-1,4)*P(3,2)*P(4,1)*Metric(1,2) - P(-1,2)*P(-1,3)*P(3,4)*P(4,1)*Metric(1,2) + P(-1,3)*P(-1,4)*P(3,1)*P(4,2)*Metric(1,2) - P(-1,1)*P(-1,3)*P(3,4)*P(4,2)*Metric(1,2) - P(-1,2)*P(-1,4)*P(3,1)*P(4,3)*Metric(1,2) - P(-1,1)*P(-1,4)*P(3,2)*P(4,3)*Metric(1,2) + P(-1,2)*P(-1,4)*P(2,3)*P(4,1)*Metric(1,3) - P(-1,2)*P(-1,3)*P(2,4)*P(4,1)*Metric(1,3) - P(-1,3)*P(-1,4)*P(2,1)*P(4,2)*Metric(1,3) - P(-1,1)*P(-1,4)*P(2,3)*P(4,2)*Metric(1,3) + P(-1,2)*P(-1,4)*P(2,1)*P(4,3)*Metric(1,3) - P(-1,1)*P(-1,2)*P(2,4)*P(4,3)*Metric(1,3) - P(-1,2)*P(-1,4)*P(2,3)*P(3,1)*Metric(1,4) + P(-1,2)*P(-1,3)*P(2,4)*P(3,1)*Metric(1,4) - P(-1,3)*P(-1,4)*P(2,1)*P(3,2)*Metric(1,4) - P(-1,1)*P(-1,3)*P(2,4)*P(3,2)*Metric(1,4) + P(-1,2)*P(-1,3)*P(2,1)*P(3,4)*Metric(1,4) - P(-1,1)*P(-1,2)*P(2,3)*P(3,4)*Metric(1,4) - P(-1,3)*P(-1,4)*P(1,2)*P(4,1)*Metric(2,3) - P(-1,2)*P(-1,4)*P(1,3)*P(4,1)*Metric(2,3) + P(-1,1)*P(-1,4)*P(1,3)*P(4,2)*Metric(2,3) - P(-1,1)*P(-1,3)*P(1,4)*P(4,2)*Metric(2,3) + P(-1,1)*P(-1,4)*P(1,2)*P(4,3)*Metric(2,3) - P(-1,1)*P(-1,2)*P(1,4)*P(4,3)*Metric(2,3) + P(-2,3)*P(-2,4)*P(-1,1)*P(-1,2)*Metric(1,4)*Metric(2,3) + P(-2,2)*P(-2,4)*P(-1,1)*P(-1,3)*Metric(1,4)*Metric(2,3) - P(-1,3)*P(-1,4)*P(1,2)*P(3,1)*Metric(2,4) - P(-1,2)*P(-1,3)*P(1,4)*P(3,1)*Metric(2,4) - P(-1,1)*P(-1,4)*P(1,3)*P(3,2)*Metric(2,4) + P(-1,1)*P(-1,3)*P(1,4)*P(3,2)*Metric(2,4) + P(-1,1)*P(-1,3)*P(1,2)*P(3,4)*Metric(2,4) - P(-1,1)*P(-1,2)*P(1,3)*P(3,4)*Metric(2,4) + P(-2,3)*P(-2,4)*P(-1,1)*P(-1,2)*Metric(1,3)*Metric(2,4) + P(-2,2)*P(-2,3)*P(-1,1)*P(-1,4)*Metric(1,3)*Metric(2,4) - P(-1,2)*P(-1,4)*P(1,3)*P(2,1)*Metric(3,4) - P(-1,2)*P(-1,3)*P(1,4)*P(2,1)*Metric(3,4) - P(-1,1)*P(-1,4)*P(1,2)*P(2,3)*Metric(3,4) + P(-1,1)*P(-1,2)*P(1,4)*P(2,3)*Metric(3,4) - P(-1,1)*P(-1,3)*P(1,2)*P(2,4)*Metric(3,4) + P(-1,1)*P(-1,2)*P(1,3)*P(2,4)*Metric(3,4) + P(-2,2)*P(-2,4)*P(-1,1)*P(-1,3)*Metric(1,2)*Metric(3,4) + P(-2,2)*P(-2,3)*P(-1,1)*P(-1,4)*Metric(1,2)*Metric(3,4)')

